﻿using System.Windows.Forms;

namespace com.swivelsecure.pinsafe.config {
    public partial class CustomStringForm : Form {
        public CustomStringForm() {
            InitializeComponent();
        }

        public CustomStringForm(string errorCode, string message) {
            InitializeComponent();
            ErrorCode = errorCode;
            Message = message;
        }

        public string ErrorCode {
            get { return txtErrorCode.Text; }
            private set { 
                txtErrorCode.Text = value;
                txtErrorCode.ReadOnly = true;
            }
        }

        public string Message {
            get { return txtMessage.Text; }
            private set { txtMessage.Text = value; }
        }
    }
}
