var xmlHttp;

var XMLHttpFactories = [
	function () { return new XMLHttpRequest(); },
	function () { return new ActiveXObject("Msxml3.XMLHTTP"); },
	function () { return new ActiveXObject("Msxml2.XMLHTTP"); },
	function () { return new ActiveXObject("Microsoft.XMLHTTP"); }
];

function createXMLHttpRequest() {
    var xmlhttp = false;
    for (var i = 0; i < XMLHttpFactories.length; i++) {
        try {
            xmlhttp = XMLHttpFactories[i]();
        }
        catch (e) {
            continue;
        }
        break;
    }
    return xmlhttp;
}

function Ping() {
    // PINsafe not required: nothing to do.
}

function OnPing() {
    // Nothing really needs doing here.
}

function GetUsername()
{
	var userField = document.getElementById("txtUsername");
	if (!userField || !userField.value)
	{
		return null;
	}
	var username = userField.value;
	var idx = username.indexOf('\\');
	if (idx >= 0 && idx < username.length - 1)
	{
		username = username.substring(idx+1);
	}
	idx = username.indexOf('@');
	if (idx > 0)
	{
		username = username.substring(0, idx);
	}
	return username;
}

function CheckUser()
{
	var rowOtc = document.getElementById("otcRow");
	var rowTuring = document.getElementById("imgRow");
	var chkPINsafeOff = document.getElementById("noPINsafe");
	var btnLogin2 = document.getElementById("btnLogin2");
	if (btnLogin2) {
	    btnLogin2.style.display = "block";
	}
	if (rowOtc) {
		rowOtc.style.display = "none";
	}
	if (rowTuring) {
		rowTuring.style.display = "none";
		ShowTuring();
	}
	chkPINsafeOff.checked = true;
}

function ShowTuring() {
    // Not used.
}
